GEARMAN(1)

NAME
gearman - Gearmand Documentation, https://gearman.org/gearmand/

Command line client for Gearmand

SYNOPSIS

Common options

-f <function>
    Function name to use for jobs (can give many)

-h <host>
    Job server host

-H  Print this help menu

-p <port>
    Gearman server port

-t <timeout>
    Timeout in milliseconds

-i <pidfile>
    Create a pidfile for the process

-n  In client mode run one job per line, in worker mode send data packet for each line

-N  Same as -n, but strip off the newline

-S  Enable SSL connections. Certificate paths are taken from the environment variables GEARMAND_CA_CERTIFICATE, GEARMAN_CLIENT_PEM, and GEARMAN_CLIENT_KEY environment variables or from the libgearman compile-time defaults.

    Client options

--ping
    Send an ECHO request to the job server and exit. No worker is required. Useful as a connectivity / health check. Exit status is 0 on success, non-zero on failure. When -t is omitted, a 2-second timeout is used. With -v, it prints ping OK on success.

-b  Run jobs in the background

-I  Run jobs as high priority

-L  Run jobs as low priority

    Job assignment priority is global across registered functions: a high priority job for any function is assigned before normal or low priority jobs for other functions.

-P  Prefix all output lines with functions names

-s  Send job without reading from standard input

-u <unique>
    Unique key to use for job

    Worker options*

-c <count>
    Number of jobs for worker to run before exiting

-w  Run in worker mode

DESCRIPTION

With gearman you can run client and worker functions from the command line.

In ping mode (--ping), gearman only checks that a job server responds to an ECHO request. No function name (-f) and no worker are required. This is suitable for process supervisors and container health checks, for example:

    gearman --ping -h example.com -p 4730
    gearman --ping -h 127.0.0.1 -p 47300 -S -t 2000

The environmental variable GEARMAN_SERVER can be used to specify multiple gearmand servers. Please see the c:func:'gearman_client_add_servers' for an explanation of the required syntax.

HOME

To find out more information please check: https://gearman.org/gearmand/

SEE ALSO

gearmand(8) libgearman(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2014, Data Differential, http://www.datadifferential.com/